# Ogre::IntersectionSceneQueryResult Struct Reference

Holds the results of an intersection scene query (pair values). More...

`#include <OgreSceneQuery.h>`

List of all members.

## Public Attributes

SceneQueryMovableIntersectionList | movables2movables
| List of movable / movable intersections (entities, particle systems etc).
SceneQueryMovableWorldFragmentIntersectionList | movables2world
| List of movable / world intersections.

## Detailed Description

Holds the results of an intersection scene query (pair values).

Definition at line 487 of file OgreSceneQuery.h.

## Member Data Documentation

SceneQueryMovableIntersectionList Ogre::IntersectionSceneQueryResult::movables2movables

List of movable / movable intersections (entities, particle systems etc).

Definition at line 490 of file OgreSceneQuery.h.

SceneQueryMovableWorldFragmentIntersectionList Ogre::IntersectionSceneQueryResult::movables2world

List of movable / world intersections.

Definition at line 492 of file OgreSceneQuery.h.

The documentation for this struct was generated from the following file:

- OgreSceneQuery.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:29:42 2008